Bug 170914 - kernel panic if FX240S CD-ROM in system
kernel panic if FX240S CD-ROM in system
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-15 11:20 EDT by todd_lewis
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:46:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel 2.6.14-1.1637_FC4 panic w/ FX240S CD drive and ide dma enabled (1.85 KB, text/plain)
2005-11-12 19:01 EST, todd_lewis
no flags Details

  None (edit)
Description todd_lewis 2005-10-15 11:20:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win 9x 4.90; en-US; rv:1.7.12) Gecko/20050915

Description of problem:
Two different systems, one a Gateway 2000 circa 1998, the other a homebuild who-knows-what, both i686 with _different_ FX240S cd-rom drives, give a kernel panic and stack strace with the install CD, rescue CD, or installed kernel.

Version-Release number of selected component (if applicable):
2.6.13-1.1526_FC4

How reproducible:
Always

Steps to Reproduce:
1. Boot with install or rescue CD
2. enter "linux"
3. 
  

Actual Results:  A few expected messages, the kernel panic with backtrace

Expected Results:  Normal installation

Additional info:

Replacing the Mitsumi FX240S from either system with another CD-ROM eliminates the problem. Also, adding "ide=nodma" seems to work around the problem.

http://www.fedorafaq.org/#otherinstall says if "ide=nodma" works, I should file a bug report; here it is.  Note that installation works fine (no kernel parms required) with RedHat 9 on the same systems (which have almost nothing in common except the FX240S CD drives).
Comment 1 Dave Jones 2005-11-10 15:00:33 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 todd_lewis 2005-11-10 22:59:31 EST
You're welcome. Unfortunately 2.6.14-1.1637_FC4 produces the same results. Is
there a way I can capture the crash data for you? The alt+sysrq+? seems to work
after the panic...
Comment 3 Dave Jones 2005-11-11 01:08:47 EST
try alt-sysrq-s which will sync everything to disk, and then check
/var/log/messages on the next boot to see if the panic hit the logs. If so,
paste it here.

If not, can you boot with vga=791  (this should get more lines of text on the
screen), and then transcribe the panic data here ?  If you have a digital
camera, feel free to attach a pic of the panic (make sure its readable first
though ;-)

thanks.
Comment 4 todd_lewis 2005-11-12 19:01:04 EST
Created attachment 120995 [details]
Kernel 2.6.14-1.1637_FC4 panic w/ FX240S CD drive and ide dma enabled

This is a transcription of the on-screen panic from 2.6.14-1.1637_FC4
when ide dma is enabled and an FX240S CD drive is in the system.
This particular panic occurred shortly after the "Reading physical volumes this
may take a while" message with a CD in the drive, but similar panics occur
eventually whether there's a CD in the drive or not.
Comment 5 Dave Jones 2006-02-03 00:52:56 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 21:46:14 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.